package com.nemrodsoftware.model;

import java.util.List;

public class StatusMessage  {

    private String status;
    private String message;
    private String detail;
    private List<String> errors;
    
    public StatusMessage()
    {
    }
    
    public StatusMessage(String status, String message, String detail, List<String> errors)
    {
        this.status=status;
        this.message=message;
        this.detail=detail;
        this.errors = errors;
    }

    public String getStatus()
    {
        return status;
    }

    public String getMessage()
    {
        return message;
    }

    public String getDetail()
    {
        return detail;
    }

    public List<String> getErrors()
    {
        return errors;
    }
    
    public void setStatus(String status)
    {
        this.status = status;
    }

    public void setMessage(String message)
    {
        this.message = message;
    }

    public void setDetail(String detail)
    {
        this.detail = detail;
    }

    public void setErrors(List<String> errors)
    {
        this.errors = errors;
    }
    
}
